From cd6233cc27d485377fc8da9a0922462e11bdacfb Mon Sep 17 00:00:00 2001
From: Sylvain Munaut <tnt@246tNt.com>
Date: Sat, 18 May 2013 11:34:13 +0200
Subject: [PATCH] host/mobile: Fix trans_assign_trans_id() users error checking

The returned value of trans_assign_trans_id() must be stored into a
'int' rather than uint8_t to allow proper testing of negative return
values (errors).

Thanks to Bhaskar <niceguy108@gmail.com> for the original
patches.

Signed-off-by: Sylvain Munaut <tnt@246tNt.com>
---
 src/host/layer23/src/mobile/gsm411_sms.c | 2 +-
 src/host/layer23/src/mobile/gsm480_ss.c  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/host/layer23/src/mobile/gsm411_sms.c b/src/host/layer23/src/mobile/gsm411_sms.c
index 9de1259..655fe53 100644
--- a/src/host/layer23/src/mobile/gsm411_sms.c
+++ b/src/host/layer23/src/mobile/gsm411_sms.c
@@ -625,7 +625,7 @@ static int gsm411_tx_sms_submit(struct osmocom_ms *ms, const char *sms_sca,
 	uint8_t *data, *rp_ud_len;
 	uint8_t msg_ref = 42;
 	int rc;
-	uint8_t transaction_id;
+	int transaction_id;
 	uint8_t sca[11];	/* max len per 03.40 */
 
 	LOGP(DLSMS, LOGL_INFO, "..._sms_submit()\n");
diff --git a/src/host/layer23/src/mobile/gsm480_ss.c b/src/host/layer23/src/mobile/gsm480_ss.c
index fda6288..ab8e164 100644
--- a/src/host/layer23/src/mobile/gsm480_ss.c
+++ b/src/host/layer23/src/mobile/gsm480_ss.c
@@ -564,7 +564,7 @@ static int gsm480_tx_ussd(struct gsm_trans *trans, uint8_t msg_type,
 int ss_send(struct osmocom_ms *ms, const char *code, int new_trans)
 {
 	struct gsm_trans *trans = NULL, *transt;
-	uint8_t transaction_id;
+	int transaction_id;
 
 	/* look for an old transaction */
 	if (!new_trans) {
-- 
1.8.1.5

